#!/usr/bin/env bash
set -xeuo pipefail

# 0) on s'assure que /app/data et /run/slskd/cache sont écrits par cloudron
chmod -R 777 /app/data /run/slskd/cache

# 1) répertoire d'extraction pour dotnet
export DOTNET_BUNDLE_EXTRACT_BASE_DIR=/run/slskd/cache

# 2) invariant globalization
export DOTNET_SYSTEM_GLOBALIZATION_INVARIANT=true

# 3) si la conf n'existe pas, on la copie depuis l'exemple
if [ ! -f /app/data/slskd.yml ]; then
  echo "ℹ️ Copie de la config d'exemple dans /app/data/slskd.yml"
  cp /app/code/slskd.yml.example /app/data/slskd.yml
  chown cloudron:cloudron /app/data/slskd.yml
else
  echo "ℹ️ Utilisation de /app/data/slskd.yml existant"
fi

# 4) on lance en user cloudron
exec gosu cloudron /app/code/slskd \
  --config      /app/data/slskd.yml \
  --http-port   "${SLSKD_HTTP_PORT:-5030}" \
  --https-port  "${SLSKD_HTTPS_PORT:-5031}" \
  --listen-port "${SLSKD_SLSK_LISTEN_PORT:-50300}"

